> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user profile data 

> Update user data like name, profile photo url, username, etc. using this resolver. Useful for using built-in services like coding labs and live classes

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 300 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/update-user-profile-data
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/update-user-profile-data:
    post:
      tags:
        - User
      summary: 'Update user profile data '
      description: >-
        Update user data like name, profile photo url, username, etc. using this
        resolver. Useful for using built-in services like coding labs and live
        classes


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 300 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          userId:
                            type: string
                            description: >-
                              Internal userId you have been using for the user
                              in your database. Specify either this or userEmail
                          userEmail:
                            type: string
                            format: email
                            description: Email of the user. Specify either this or userId
                          newName:
                            type: string
                            minLength: 2
                            maxLength: 100
                            description: >-
                              Pass a value here to update name of user. Leave
                              undefined to keep it unaffected
                          newUsername:
                            type: string
                            minLength: 3
                            maxLength: 24
                            pattern: ^[a-zA-Z0-9]+$
                            description: >-
                              Pass a value here to update username of user.
                              Leave undefined to keep it unaffected
                          newProfilePictureUrl:
                            type: string
                            format: uri
                            description: >-
                              Pass a value here to update profile photo of user.
                              Leave undefined to keep it unaffected
                          newPassword:
                            type: string
                            minLength: 6
                            maxLength: 127
                            description: >-
                              Pass a value here to update password of the user.
                              Leave undefined to keep it unaffected
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties: {}
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````